//
// C++ Interface: KmdrMainWindow
//
// Description: 
//
//
// Author: Andras Mantia <amantia@kdewebdev.org>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KmdrMainWindow_H
#define KmdrMainWindow_H

#include <tdemainwindow.h>

/**
	@author Andras Mantia <amantia@kdewebdev.org>
*/
class KDE_EXPORT KmdrMainWindow : public TDEMainWindow
{
TQ_OBJECT
  
public:
    KmdrMainWindow(TQWidget *parent = 0, const char *name = 0, WFlags f = WType_TopLevel | WDestructiveClose);

    ~KmdrMainWindow();

protected:
    virtual bool queryClose();

signals:
    void initialize();
    void destroy();

};

#endif
